// Programme PMS5003
// Branchements sur un Arduino UNO :
// Pin1 -> 5V
// Pin2 -> GND
// Pin3 -> -
// Pin4 -> 3
// Pin5 -> 2
// Pin6 -> -
// Pin7 -> -
// Pin8 -> -
// PMS5003 avec logo "Plantower" sur le dessus -> le pin 1 est le plus a droite
// Attention, il faut installer la bibliotheque PMS.h ! (les autres sont inclues)

//----------- LIBRAIRIES -----------

#include "PMS.h"
#include "SoftwareSerial.h"

//----------- BRANCHEMENTS -----------
 
SoftwareSerial Serial1(2, 3); // RX, TX
 
PMS pms(Serial1);
PMS::DATA data;

//----------- FONCTION SETUP -----------
 
void setup()
{
  Serial.begin(9600);
  Serial1.begin(9600);
}

//----------- FONCTION LOOP -----------
 
void loop()
{
  if (pms.read(data))
  {
    Serial.println("Dust Concentration");   // concentration particules fines en ug/m3
    Serial.println("PM1.0 :" + String(data.PM_AE_UG_1_0) + "(ug/m3)");
    Serial.println("PM2.5 :" + String(data.PM_AE_UG_2_5) + "(ug/m3)");
    Serial.println("PM10  :" + String(data.PM_AE_UG_10_0) + "(ug/m3)");
    Serial.println("");
    
    delay(5000);
  }
}
